UHD 003.005.002-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Namespaces | Functions
algorithm.hpp File Reference
`#include <algorithm>`
`#include <boost/range/begin.hpp>`
`#include <boost/range/end.hpp>`

Go to the source code of this file.

## Namespaces
| uhd

## Functions
template<typename Range >
Range | uhd::sorted (const Range &range)
template<typename Range >
Range | uhd::reversed (const Range &range)
template<typename Range , typename T >
bool | uhd::has (const Range &range, const T &value)
template<typename T >
T | uhd::clip (const T &val, const T &bound1, const T &bound2)